<?php
ob_start(); // Start reading html


?>
<main>


    <script>

        /*
        Script du decompte avant la semaine d'accueil. 
        */

        // avis aux futurs devs, changez la date ici :)
        var target_date = Math.floor(Date.parse("2023-09-04 00:00:00") /1000)

        // le coef d'aggrandissement de l'image de la taupe
        var coef = 1

        function set_timer(){

            // recupere la date actuelle
            var date_now = Math.floor(Date.now() / 1000);

            // savants calculs à base de division de timestamps UNIX en secondes
            var delta_seconds = target_date-date_now;

            var delta_days = Math.floor(delta_seconds/(60*60*24));
            var delta_hours = Math.floor((delta_seconds % (60*60*24)) /(60*60));
            var delta_minutes = Math.floor((delta_seconds % (60*60))/60);
            delta_seconds = delta_seconds % 60;

            // on met tout dans le div du decompte
            document.getElementById("decompte").innerText = "J - "
            +delta_days+"j "
            +delta_hours+"h "
            +delta_minutes+"min "
            +delta_seconds+"s";


            var taupe_img = document.getElementById("taupe");
            taupe_img.width = 12*coef;
            taupe_img.height = 8*coef;
            taupe_img.style = "top :"+1000-100*coef+";";
            

            coef = coef+1;

            // récursion chaque seconde
            setTimeout(set_timer, 1000);
        }

        // assigne la fonction qui gère le timer au chargement de la page
        window.onload = set_timer;

    </script>


    <div class="zone_txt">
        <p>
            /!\ Page en construction, revenez plus tard /!\<br>
            (Taper un dev ne le fera pas aller plus vite...sauf s'il est soudoyé)
        </p>
        <div id="decompte">

        </div>
    </div>


    <img id="taupe" src="assets/img/bonjoir.jpg">

</main>
<?php
$infopage = ["", "En construction", ob_get_clean(), "", "index","Page en Construction"]; //relativepath, pagetitle, pagecontent, pagescript, pagename | cf structure/template.php ligne 2 à 6
include("structure/template.php");
?>
